Debian Bug report logs - #676393
ITP: ruby-graphviz -- Ruby interface to GraphViz

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Praveen A <pravi.a@gmail.com>

Date: Wed, 6 Jun 2012 17:12:18 UTC

Owned by: Praveen A <pravi.a@gmail.com>

Severity: wishlist

Fixed in version ruby-graphviz/1.0.8-1

Done: Praveen Arimbrathodiyil <praveen@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#676393; Package wnpp. (Wed, 06 Jun 2012 17:12:24 GMT) Full text and rfc822 format available.

Acknowledgement sent to Praveen A <pravi.a@gmail.com>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Wed, 06 Jun 2012 17:12:26 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Praveen A <pravi.a@gmail.com>
To: submit@bugs.debian.org
Subject: ITP: ruby-graphviz -- Ruby interface to GraphViz
Date: Wed, 6 Jun 2012 22:40:21 +0530
Package: wnpp
Severity: wishlist

I'm packaging this gem http://rubygems.org/gems/ruby-graphviz as it is
a dependency for diaspora

-- 
പ്രവീണ്‍ അരിമ്പ്രത്തൊടിയില്‍
You have to keep reminding your government that you don't get your
rights from them; you give them permission to rule, only so long as
they follow the rules: laws and constitution.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#676393; Package wnpp. (Wed, 06 Jun 2012 17:18:40 GMT) Full text and rfc822 format available.

Acknowledgement sent to Praveen A <pravi.a@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 06 Jun 2012 17:18:43 GMT) Full text and rfc822 format available.

Message #10 received at 676393@bugs.debian.org (full text, mbox):

From: Praveen A <pravi.a@gmail.com>
To: 676393@bugs.debian.org
Subject: some tests are failing
Date: Wed, 6 Jun 2012 22:47:22 +0530
It is not able to find 'dot'

reported upstream https://github.com/glejeune/Ruby-Graphviz/issues/46

-- 
പ്രവീണ്‍ അരിമ്പ്രത്തൊടിയില്‍
You have to keep reminding your government that you don't get your
rights from them; you give them permission to rule, only so long as
they follow the rules: laws and constitution.

Added indication that bug 676393 blocks 676392 Request was from Praveen A <pravi.a@gmail.com> to control@bugs.debian.org. (Wed, 06 Jun 2012 17:21:28 GMT) Full text and rfc822 format available.

Owner recorded as Praveen A <pravi.a@gmail.com>. Request was from Praveen A <pravi.a@gmail.com> to control@bugs.debian.org. (Wed, 06 Jun 2012 17:27:24 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#676393; Package wnpp. (Fri, 26 Oct 2012 14:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Praveen A <pravi.a@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 26 Oct 2012 14:27:03 GMT) Full text and rfc822 format available.

Message #19 received at 676393@bugs.debian.org (full text, mbox):

From: Praveen A <pravi.a@gmail.com>
To: 676393@bugs.debian.org
Subject: one command is failing to run
Date: Fri, 26 Oct 2012 19:54:51 +0530
One more bug in one command https://github.com/glejeune/Ruby-Graphviz/issues/56

I'll upload the package as all tests are run correctly and other
commands are also running correctly.

-- 
പ്രവീണ്‍ അരിമ്പ്രത്തൊടിയില്‍
You have to keep reminding your government that you don't get your
rights from them; you give them permission to rule, only so long as
they follow the rules: laws and constitution.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#676393; Package wnpp. (Fri, 26 Oct 2012 15:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Praveen A <pravi.a@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 26 Oct 2012 15:39:06 GMT) Full text and rfc822 format available.

Message #24 received at 676393@bugs.debian.org (full text, mbox):

From: Praveen A <pravi.a@gmail.com>
To: 676393@bugs.debian.org
Subject: Re: one command is failing to run
Date: Fri, 26 Oct 2012 21:07:08 +0530
2012/10/26 Praveen A <pravi.a@gmail.com>:
> One more bug in one command https://github.com/glejeune/Ruby-Graphviz/issues/56
>
> I'll upload the package as all tests are run correctly and other
> commands are also running correctly.

Though it runs all the tests correctly with dpkg-buildpackage, it is
failing to run some tests using 'dot' with the following error when
run with pbuilder.

64) Failure:
test_sample69(GraphVizTest)
    [./test/test_examples.rb:125:in `assert_sample_file_has_no_output'
     ./test/test_examples.rb:97:in `test_sample69']:
got exception on sample69.rb: Error from "/usr/bin/dot" -q1   -Tpng
-o./test/output/sample69.rb.png
/tmp/graphviz.rb20121026-14167-gb2xpp-0:

(process:14361): Pango-WARNING **: error opening config file
'/root/.pangorc': Permission denied

.
<false> is not true.

-- 
പ്രവീണ്‍ അരിമ്പ്രത്തൊടിയില്‍
You have to keep reminding your government that you don't get your
rights from them; you give them permission to rule, only so long as
they follow the rules: laws and constitution.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#676393; Package wnpp. (Sat, 27 Oct 2012 09:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Praveen A <pravi.a@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 27 Oct 2012 09:18:03 GMT) Full text and rfc822 format available.

Message #29 received at 676393@bugs.debian.org (full text, mbox):

From: Praveen A <pravi.a@gmail.com>
To: 676393@bugs.debian.org
Subject: sent man pages upstream
Date: Sat, 27 Oct 2012 14:46:12 +0530
I have submitted man pages to upstream for inclusion
https://github.com/glejeune/Ruby-Graphviz/issues/57
I have also reported the test failure in chroot upstream
https://github.com/glejeune/Ruby-Graphviz/issues/58

Btw packaging files are in pkg-ruby-extras team git repo
http://anonscm.debian.org/gitweb/?p=pkg-ruby-extras/ruby-graphviz.git;a=summary

-- 
പ്രവീണ്‍ അരിമ്പ്രത്തൊടിയില്‍
You have to keep reminding your government that you don't get your
rights from them; you give them permission to rule, only so long as
they follow the rules: laws and constitution.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#676393; Package wnpp. (Mon, 29 Oct 2012 10:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Praveen A <pravi.a@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 29 Oct 2012 10:33:03 GMT) Full text and rfc822 format available.

Message #34 received at 676393@bugs.debian.org (full text, mbox):

From: Praveen A <pravi.a@gmail.com>
To: 676393@bugs.debian.org
Subject: pbuilder failure is fixed now
Date: Mon, 29 Oct 2012 16:00:29 +0530
Cedric found a solution to build failure with pbuilder. See this bug
for more http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=570313

-- 
പ്രവീണ്‍ അരിമ്പ്രത്തൊടിയില്‍
You have to keep reminding your government that you don't get your
rights from them; you give them permission to rule, only so long as
they follow the rules: laws and constitution.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Mon, 29 Oct 2012 19:06:03 GMT) Full text and rfc822 format available.

Reply sent to Praveen Arimbrathodiyil <praveen@debian.org>:
You have taken responsibility. (Wed, 14 Nov 2012 23:03:28 GMT) Full text and rfc822 format available.

Notification sent to Praveen A <pravi.a@gmail.com>:
Bug acknowledged by developer. (Wed, 14 Nov 2012 23:03:28 GMT) Full text and rfc822 format available.

Message #41 received at 676393-close@bugs.debian.org (full text, mbox):

From: Praveen Arimbrathodiyil <praveen@debian.org>
To: 676393-close@bugs.debian.org
Subject: Bug#676393: fixed in ruby-graphviz 1.0.8-1
Date: Wed, 14 Nov 2012 23:00:08 +0000
Source: ruby-graphviz
Source-Version: 1.0.8-1

We believe that the bug you reported is fixed in the latest version of
ruby-graphviz, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 676393@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Praveen Arimbrathodiyil <praveen@debian.org> (supplier of updated ruby-graphviz package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 26 Oct 2012 18:38:19 +0530
Source: ruby-graphviz
Binary: ruby-graphviz
Architecture: source all
Version: 1.0.8-1
Distribution: unstable
Urgency: low
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Changed-By: Praveen Arimbrathodiyil <praveen@debian.org>
Description: 
 ruby-graphviz - Ruby interface to the GraphViz graphing tool
Closes: 676393
Changes: 
 ruby-graphviz (1.0.8-1) unstable; urgency=low
 .
   * Initial release (Closes: #676393)
Checksums-Sha1: 
 7f60cab0f78e74c3f35787ec85da4266b66c5214 2087 ruby-graphviz_1.0.8-1.dsc
 b3e9a1c46ac7be78f194b905a73ba3035d4e0e81 112407 ruby-graphviz_1.0.8.orig.tar.gz
 56d378002320d33543730f235925c085a99fb10d 4693 ruby-graphviz_1.0.8-1.debian.tar.gz
 a8cb96072318f1f2533a32137d2274ff0f4e0992 110434 ruby-graphviz_1.0.8-1_all.deb
Checksums-Sha256: 
 a8f72f107cd28a8728d984691f8dc402a05b14abcd0699c1b750caa61551c1b4 2087 ruby-graphviz_1.0.8-1.dsc
 70afb794a41e455d9fa594eeb6293261dd5f4b1e3f2b7b51d84d53423b1fab30 112407 ruby-graphviz_1.0.8.orig.tar.gz
 bcf10aa0eaee1d561428f8788c0086864f6790a2e75ab88be741b33cb19434cc 4693 ruby-graphviz_1.0.8-1.debian.tar.gz
 c0c0beba9dbb8f63dca8f3fa486427f769e6b5bc3e20c741d3cc3cfb69e4ff4e 110434 ruby-graphviz_1.0.8-1_all.deb
Files: 
 2d29d4497a2c7050c3e6afa5333152b9 2087 ruby optional ruby-graphviz_1.0.8-1.dsc
 f33b12992b87ea53acc2b8bfa12dcbd4 112407 ruby optional ruby-graphviz_1.0.8.orig.tar.gz
 182e7505c48fd19b81c6ffe1645d14bc 4693 ruby optional ruby-graphviz_1.0.8-1.debian.tar.gz
 09caae8967e5f5a83437fa869efcf8d7 110434 ruby optional ruby-graphviz_1.0.8-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQjnzeAAoJEM4fnGdFEsIqN2sP/0VhpH2HbjgHGzhrrju95PRV
tMrlvYnxrYlBedI6uW7+1/tsAHeoj98ZksJv0BWm1fS9YfdlkR6zOwu/pR7MXK/z
dKx1dQUuTFU+9SSV+8LfiCwBUMRLBQeooDivpzgiTLBdFOIeWUjxGPFCZxXsMhzV
09X4q9qlyX0MZgYUbNvvxeC3FqPqeGC0FOU5PJZl2cOmYUnua3me4//m3COPQbEy
rSt1Pwqc398umxNF0pXGLATO/OCZyWxxo+LGtvcERL21tpEFDJvWfv7/u+V58KMy
iQYvb9otYLmTqCW6lyy4W/2ZmCAiJgW3NY2C0i8/69hS71ymieC7YfG9pUQyoMXd
zGhvtaIjBzuJ45v+PJIGeOJttusLI2Hm5iYTgRfvqyn/WLhQBZPFhTIAz20MwbGM
CQhRFNjo5xXSuhDDuFE74vcYzUNpRYFIEwcBiR+IivTQraVj5zbeg5l7NPZs0Nbi
hDEWmdJLwiml6wTF2XARyAZi/Pk2XNipQ/MrOe6Ah9Zkf12ZuoLwRFfK0Cppu4IC
Oa7w6Ru1hNS9IF4PbT/hONVUMxLrQy2tR5NcStS5B9sLFbAKPuLFmhjK7q7JzxdW
NeKST/ClpQwG/VnWwLiShgCbLbzEv69kLbUyfZ65VOKeW51sAK3SfZWr7atSUQ3U
99GGi1kbWvT/IOD1imvW
=plcE
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 13 Dec 2012 07:31:27 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 01:15:41 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.